• 技术文章 >web前端 >前端问答

    vuejs支持ie678吗

    青灯夜游青灯夜游2021-09-15 17:14:52原创247

    vuejs不支持ie678,因为Vue.js使用了IE8及其以下版本不能模拟的ECMAScript5特性,例如“Object.defineProperty()”和“Promise”。

    本教程操作环境:windows7系统、vue2.9.6版,DELL G3电脑。

    vue支持 IE8及其以下版本,即不支持ie6、ie7、ie8。

    那为什么呢?原因:

    Vue 使用了 IE8及其以下版本无法模拟的 ECMAScript 5 特性。换句话说:Vue支持所有兼容 ECMAScript 5 的浏览器。

    但具体是哪些特性呢?

    Object.defineProperty()

    该方法允许精确添加或修改对象的属性。一般情况下,我们为对象添加属性是通过赋值来创建并显示在属性枚举中(for…in 或 Object.keys 方法),但这种方式添加的属性值可以被改变,也可以被删除。而使用 Object.defineProperty() 则允许改变这些额外细节的默认设置。例如,默认情况下,使用 Object.defineProperty() 增加的属性值是不可改变的。

    在 vue 源码中搜索 “Object.defineProperty” :

    可以看到有 5 个匹配的地方,也就是说 vue 中有 5 处使用了 “Object.defineProperty()”。

    搜索的版本是: Vue.js v1.0.26

    Object.defineProperty()的浏览器支持情况:

    可以看出支持情况是 IE9 及以上。

    vue 官方有对这个的说明:
    在这里插入图片描述

    Promise

    Vue需要Promise的支持,IE8同样不支持Promsie。

    相关推荐:《vue.js教程

    以上就是vuejs支持ie678吗的详细内容,更多请关注php中文网其它相关文章!

    声明:本文原创发布php中文网,转载请注明出处,感谢您的尊重!如有疑问,请联系admin@php.cn处理
    专题推荐:vuejs IE8
    上一篇:nodejs怎么删除文件 下一篇:nodejs模块怎么安装
    线上培训班

    相关文章推荐

    • webstorm怎样新建vue.js的项目• 直接引用vue.js怎样使用路由• 浅谈安装vue.js的三种方式• Angular和Vue.js的区别是什么?Angular和Vue.js的深度对比• 浅谈vue.js中$refs的使用方法(附代码)• 深入了解vue.js的3种安装方法

    全部评论我要评论

  • 取消发布评论发送
  • 1/1

    PHP中文网